# eric4.QScintilla.Lexers.LexerPython

Module implementing a Python lexer with some additional methods.

### Classes

LexerPython | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerPython

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerPython, Lexer

### Methods

LexerPython | Constructor
getIndentationDifference | Private method to determine the difference for the new indentation.
initProperties | Public slot to initialize the properties.

#### LexerPython (Constructor)

LexerPython(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerPython.getIndentationDifference

getIndentationDifference(line, editor)

Private method to determine the difference for the new indentation.

line
  line to perform the calculation for (integer)
editor
  QScintilla editor

Returns:
  amount of difference in indentation (integer)

#### LexerPython.initProperties

initProperties()

Public slot to initialize the properties.

Up